# -*- encoding: utf-8 -*-
# stub: ssrf_proxy 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "ssrf_proxy".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Brendan Coles".freeze]
  s.date = "2017-12-22"
  s.description = "SSRF Proxy is a multi-threaded HTTP proxy server designed to tunnel client HTTP traffic through HTTP servers vulnerable to HTTP Server-Side Request Forgery (SSRF).".freeze
  s.email = ["bcoles@gmail.com".freeze]
  s.executables = ["ssrf-proxy".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE.md".freeze]
  s.files = ["LICENSE.md".freeze, "README.md".freeze, "bin/ssrf-proxy".freeze]
  s.homepage = "https://github.com/bcoles/ssrf_proxy".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--title".freeze, "SSRF Proxy".freeze, "--main".freeze, "README.md".freeze, "--line-numbers".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "SSRF Proxy facilitates tunneling HTTP communications through servers vulnerable to SSRF.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8.21"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<minitest-reporters>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.52"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.14"])
    s.add_development_dependency(%q<terminal-table>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<typhoeus>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_runtime_dependency(%q<base32>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<celluloid>.freeze, ["~> 0.17.3"])
    s.add_runtime_dependency(%q<celluloid-io>.freeze, ["~> 0.17.3"])
    s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<htmlentities>.freeze, ["~> 4.3"])
    s.add_runtime_dependency(%q<ipaddress>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<logger>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<mimemagic>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<socksify>.freeze, ["~> 1.7"])
    s.add_runtime_dependency(%q<webrick>.freeze, ["~> 1.3", ">= 1.3.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8.21"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<minitest-reporters>.freeze, ["~> 1.1"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.52"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.14"])
    s.add_dependency(%q<terminal-table>.freeze, ["~> 1.6"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.3"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_dependency(%q<base32>.freeze, ["~> 0.3"])
    s.add_dependency(%q<celluloid>.freeze, ["~> 0.17.3"])
    s.add_dependency(%q<celluloid-io>.freeze, ["~> 0.17.3"])
    s.add_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_dependency(%q<htmlentities>.freeze, ["~> 4.3"])
    s.add_dependency(%q<ipaddress>.freeze, ["~> 0.8"])
    s.add_dependency(%q<logger>.freeze, ["~> 1.2"])
    s.add_dependency(%q<mimemagic>.freeze, ["~> 0.3"])
    s.add_dependency(%q<socksify>.freeze, ["~> 1.7"])
    s.add_dependency(%q<webrick>.freeze, ["~> 1.3", ">= 1.3.1"])
  end
end
